Skip to main content
POST
/
staking
/
chains
/
{chainDescriptor}
/
split
TypeScript
const response: Promise<FireblocksResponse<SplitResponse>> = fireblocks.staking.split(stakingApiSplitRequest);
{
  "id": "afedfd2e4-e3c9-4b70-90d6-eb0f74bfd4sd8"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

Idempotency-Key
string

A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.

Path Parameters

chainDescriptor
enum<string>
required

Protocol identifier for the staking operation (e.g., SOL).

Available options:
SOL,
SOL_TEST

Body

application/json
id
string
required

id of position to split

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"

amount
string
required

Amount of tokens to be transferred to the new stake account.

Example:

"20"

fee
string

Represents the fee for a transaction, which can be specified as a percentage value. Only one of fee/feeLevel is required.

Example:

"7"

feeLevel
enum<string>

Represents the fee level for a transaction, which can be set as slow, medium, or fast. Only one of fee/feeLevel is required.

Available options:
LOW,
MEDIUM,
HIGH
Example:

"MEDIUM"

txNote
string

The note to associate with the split transactions.

Example:

"split 20 SOL out of 100 SOL, created on 02.04.23"

Response

Split request accepted and created.

id
string
required

The unique identifier of the new staking position

Example:

"b70701f4-d7b1-4795-a8ee-b09cdb5b850d"